Create an Application

To create the Katapult application for a consumer, the customer’s application data as shown in the Application JSON to the right should be sent either in a POST or PATCH request to Katapult.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Attributes

AttributeData TypeDescriptionRequired Format
phonestringcustomer's phone number10 digit number
billing_first_namestringfirst name of the customer's billing informationnone
billing_last_namestringlast name of the customer's billing informationnone
emailstringcustomer's email address to receive lease agreement and notificationsnone
billing_addressstringcustomer's line 1 of billing addressnone
billing_address2stringcustomer's line 2 of billing addressnone
billing_citystringcustomer's billing citynone
billing_statestringcustomer's billing statenone
billing_zipstringcustomer's billing zip codenone
dob_dayintegercustomer's day of birth1 or 2 digit number
dob_monthintegercustomer's month of birth1 or 2 digit number
dob_yearintegercustomer's year of birth4 digit number
incomestringcustomer's annual incomenumber
ssnstringcustomer's social security number9 digit number
last_pay_daystringmost recent date the customer was paid by his/her employerYYYY-MM-DD
next_pay_daystringnext anticipated date the customer will receive a paycheck from his/her employerYYYY-MM-DD
payment_frequencystringhow often the customer is paid by his/her employerweekly, bi-weekly, semi-monthly or month
privacy_agreement_acceptedstringindication if the privacy policy and terms and conditions were agreed totrue / false
merchant_idstringstore or merchant idnone
merchant_storestringstore namenone
processorstringwaterfall partner namenone

Request Payload

{
	"phone": "1234567890",
	"billing_first_name": "John",
	"billing_last_name": "Doe",
	"email": “jdoe @test.com”,
	"billing_address": "14 28th Ave.",
	"billing_address2": "",
	"billing_city": "New York",
	"billing_state": "NY",
	"billing_zip": "11102",
	"dob_day": 15,
	"dob_month": 7,
	"dob_year": 1984,
	"income": "50000.00",
	"ssn": "342134125",
	"last_pay_date": "2020-10-14",
	"next_pay_date": "2020-10-28",
  "payment_frequency": "weekly",
// will be "weekly" or "bi-weekly" or "semi-monthly" or "monthly" for payment_frequency

  "privacy_agreement_accepted": "true",
  "merchant_meta": {
  	"merchant_id": "1",
    "merchant_name": "primary store name",	
  	"processor": "partner name"
		}
}

Create an Application Errors

ErrorHTTP statusDescription
BAD REQUEST400Invalid Request Payload / Missing Fields / Validation Error
UNAUTHORIZED401Invalid Authorization Token
Body Params
string
string
string
string
string
string
string
string
string
number
number
number
string
string
string
string
string
enum
Allowed:
string
enum
Allowed:
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Choose an example:
application/json